%define	name		xsw
%define	version		2.3.5
%define release		%mkrel 2
%define summary		The XShipWars kickass game !
%define summary_server	XShipWars universe server
%define summary_monitor	XShipWars universe monitor
%define summary_unvedit	XShipWars universe editor

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License: 	GPL
Group: 		Games/Other
Source0:	http://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
Source1:	%{name}.server.script.bz2
Source2:	%{name}.xsw-16.png.bz2
Source3:	%{name}.xsw-32.png.bz2
Source4:	%{name}.xsw-48.png.bz2
Source5:	%{name}.xsw-unvedit-16.png.bz2
Source6:	%{name}.xsw-unvedit-32.png.bz2
Source7:	%{name}.xsw-unvedit-48.png.bz2
Source8:	%{name}.xsw-monitor-16.png.bz2
Source9:	%{name}.xsw-monitor-32.png.bz2
Source10:	%{name}.xsw-monitor-48.png.bz2
Source11:	%{name}.logrotate.bz2
Patch0:		%{name}-2.2.1.server.conf.patch.bz2
Url: 		http://wolfpack.twu.net/ShipWars/XShipWars
Requires:	xsw-data
Requires:	xsw-stimages
Requires:	xsw-stsounds
BuildRequires:	libjsw-devel
BuildRequires:	libyiff-devel
BuildRequires:	libesound-devel
BuildRequires:	libxpm-devel
BuildRequires:	XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
XShipWars is a highly customizable and massively multiplayer space
gaming system designed for play entirly over the Internet.
It is the first completed and stable game for Linux written on Linux and
has been ported to a variety of other platforms.

%package monitor
Group: 		Games/Other
Summary: 	%{summary_monitor}

%description monitor
This is the universe monitor part of XShipWars game.

%package unvedit
Group: 		Games/Other
Summary: 	%{summary_unvedit}

%description unvedit
This is the universe editor part of XShipWars game.

%package server
Group: 			Games/Other
Summary: 		%{summary_server}
Requires(post):		rpm-helper
Requires(preun):	rpm-helper
Requires:		apache >= 2.0.54

%description server
This is the server part of XShipWars game.

%prep
%setup -q -n %{name}-%{version}
bzcat %{SOURCE1} > swserv
bzcat %{SOURCE2} > %{name}-16.png
bzcat %{SOURCE3} > %{name}-32.png
bzcat %{SOURCE4} > %{name}-48.png
bzcat %{SOURCE5} > %{name}-unvedit-16.png
bzcat %{SOURCE6} > %{name}-unvedit-32.png
bzcat %{SOURCE7} > %{name}-unvedit-48.png
bzcat %{SOURCE8} > %{name}-monitor-16.png
bzcat %{SOURCE9} > %{name}-monitor-32.png
bzcat %{SOURCE10} > %{name}-monitor-48.png
bzcat %{SOURCE11} > %{name}.logrotate
%patch0

%build
export CFLAGS=$RPM_OPT_FLAGS
./configure.client  Linux -v --disable=arch-i686 --libdir=-L%{_libdir}
./configure.server  Linux -v --disable=arch-i686 --libdir=-L%{_libdir}
./configure.monitor Linux -v --disable=arch-i686 --libdir=-L%{_libdir}
./configure.unvedit Linux -v --disable=arch-i686 --libdir=-L%{_libdir}
make -f Makefile.client all
make -f Makefile.server all
make -f Makefile.monitor all
make -f Makefile.unvedit all
cd server-plugins/samples
make CFLAGS="$RPM_OPT_FLAGS -shared"

%install
rm -rf %{buildroot}
make -f Makefile.client \
	PREFIX=%{buildroot}%{_prefix} \
	XSW_ETC_DIR=%{buildroot}%{_sysconfdir}/xshipwars \
	install
make -f Makefile.monitor \
	PREFIX=%{buildroot}%{_prefix} \
	install
make -f Makefile.unvedit \
	PREFIX=%{buildroot}%{_prefix} \
	install
make -f Makefile.server \
	SWSERV_BASE_DIR=%{buildroot}%{_localstatedir}/swserv \
	SWSERV_BIN_DIR=%{buildroot}%{_gamesbindir} \
	SWSERV_DB_DIR=%{buildroot}%{_localstatedir}/swserv \
	SWSERV_ETC_DIR=%{buildroot}%{_sysconfdir}/swserv \
	SWSERV_LOGS_DIR=%{buildroot}%{_var}/log/swserv \
	SWSERV_HTML_DIR=%{buildroot}%{_var}/www/swserv \
	SWSERV_TMP_DIR=%{buildroot}/tmp \
	install

# additional server stuff
install -d -m 755 %{buildroot}%{_libdir}/games/swserv
install -m 755 server-plugins/samples/*.so %{buildroot}%{_libdir}/games/swserv
install -d -m 755 %{buildroot}%{_initrddir}
install -m 755 swserv %{buildroot}%{_initrddir}/swserv
install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{name}.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/swserv

# icons
install -D -m 644 %{name}-48.png %{buildroot}%{_liconsdir}/%{name}.png 
install -D -m 644 %{name}-32.png %{buildroot}%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-16.png %{buildroot}%{_miconsdir}/%{name}.png 
install -D -m 644 %{name}-monitor-48.png %{buildroot}%{_liconsdir}/%{name}-monitor.png 
install -D -m 644 %{name}-monitor-32.png %{buildroot}%{_iconsdir}/%{name}-monitor.png 
install -D -m 644 %{name}-monitor-16.png %{buildroot}%{_miconsdir}/%{name}-monitor.png 
install -D -m 644 %{name}-unvedit-48.png %{buildroot}%{_liconsdir}/%{name}-unvedit.png 
install -D -m 644 %{name}-unvedit-32.png %{buildroot}%{_iconsdir}/%{name}-unvedit.png 
install -D -m 644 %{name}-unvedit-16.png %{buildroot}%{_miconsdir}/%{name}-unvedit.png 

# menu entry
mkdir -p %{buildroot}%{_libdir}/menu
cat >%{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_gamesbindir}/xsw"\\
	needs="X11"\\
	icon="%{name}.png"\\
	section="More Applications/Games/Other"\\
	title="XShipWars" \
	longtitle="%{summary}"
EOF
cat >%{buildroot}%{_menudir}/%{name}-monitor <<EOF
?package(%{name}-monitor):\\
	command="%{_gamesbindir}/monitor"\\
	needs="X11"\\
	icon="%{name}-monitor.png"\\
	section="More Applications/Games/Other"\\
	title="Monitor" \
	longtitle="%{summary_monitor}"
EOF
cat >%{buildroot}%{_menudir}/%{name}-unvedit <<EOF
?package(%{name}-unvedit):\\
	command="%{_gamesbindir}/unvedit"\\
	needs="X11"\\
	icon="%{name}-unvedit.png"\\
	section="More Applications/Games/Other"\\
	title="Unvedit" \
	longtitle="%{summary_unvedit}"
EOF

# apache conf
install -d -m 755 %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
cat >%{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/swserv.conf <<EOF
# Mailman Apache configuration file
ScriptAlias /swserv	%{_var}/www/swserv

<Directory %{_var}/www/swserv>
    Allow from all
</Directory>
EOF

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%post monitor
%{update_menus}

%postun monitor
%{clean_menus}

%post unvedit
%{update_menus}

%postun unvedit
%{clean_menus}

%post server
%_post_service swserv
if [ $1 = "1" ]; then
    /sbin/service httpd condrestart
fi

%preun server
%_preun_service swserv

%postun server
if [ $1 = "0" ]; then
    /sbin/service httpd condrestart
else
    /sbin/service httpd condreload
fi

%files 
%defattr(-,root,root)
%doc CREDITS INSTALL LICENSE README
%config(noreplace) %{_sysconfdir}/xshipwars
%{_gamesbindir}/xsw
%{_gamesdatadir}/xshipwars
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%exclude %{_gamesdatadir}/xshipwars/images/monitor
%exclude %{_gamesdatadir}/xshipwars/images/unvedit

%files monitor
%defattr(-,root,root)
%{_gamesbindir}/monitor
%{_gamesdatadir}/xshipwars/images/monitor
%{_menudir}/%{name}-monitor
%{_miconsdir}/%{name}-monitor.png
%{_iconsdir}/%{name}-monitor.png
%{_liconsdir}/%{name}-monitor.png

%files unvedit
%defattr(-,root,root)
%{_gamesbindir}/unvedit
%{_gamesdatadir}/xshipwars/images/unvedit
%{_menudir}/%{name}-unvedit
%{_miconsdir}/%{name}-unvedit.png
%{_iconsdir}/%{name}-unvedit.png
%{_liconsdir}/%{name}-unvedit.png

%files server
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/swserv
%config(noreplace) %{_sysconfdir}/logrotate.d/swserv
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/swserv.conf
%{_initrddir}/swserv
%{_gamesbindir}/swserv
%{_libdir}/games/swserv
%attr(-,games,games) %{_localstatedir}/swserv
%attr(-,games,games) %{_var}/log/swserv
%attr(-,games,games) %{_var}/www/swserv

%changelog
* Wed Aug 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.5-2mdk
- fix requires

* Wed Aug 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.5-1mdk
- new release 
- %%mkrel

* Thu Jul 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.4-1mdk 
- new release
- fix source url
- drop patch 1, merged upstream

* Mon Jun 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.1-1mdk 
- new release
- spec cleanup
- more FHS compliance
- build server plugins
- server apache integration

* Thu Jul 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.34.0-14mdk 
- explicit libdir

* Wed Jul 14 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.34.0-13mdk 
- fixed dependency

* Sat Jun 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.34.0-12mdk
- rebuild
- fixed menu section
- logrotate

* Mon Jan 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.34.0-11mdk
- buildrequires (slbd)
- fix executable perm
- quiet setup
- rm -rf %{buildroot} in %%install

* Fri Aug 15 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.34.0-10mdk
- fixed dir ownership

* Sun May 11 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-9mdk
- rebuild
- unversioned buildrequires

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-8mdk
- prereq rpm-helper for server only 

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-7mdk
- prereq rpm-helper

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-6mdk
- back to original name
- unvedit and monitor data back in their packages
- new rpm macros

* Fri Sep 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.34.0-5mdk
- rebuild

* Sat Jun 01 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-4mdk
- build with gcc3.1
- png icons
- one archive per additional source

* Sat Oct 27 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-3mdk
- buildrequires libdb3.3-devel
- used games user instead of specific user
- rewrote init script

* Sat Oct 20 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-2mdk
- corrected a bug in server %pre

* Thu Oct 04 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-1mdk
- first Mandrake stable branch release
